Subject: Re: [PATCH] net: stmmac:fix system hang when setting up standalone tag_8021q VLAN for DSA ports

From: Jakub Kicinski <[email-masked]>
Date: Mon, 10 Apr 2023 17:32:27 -0700

On Sat,  8 Apr 2023 23:58:23 +0800 Yan Wang wrote:
> The system hang because of dsa_tag_8021q_port_setup() callbcak
> stmmac_vlan_rx_add_vid().I found in stmmac_drv_probe() that
> cailing pm_runtime_put() disabled the clock when check the stmmac
> dirver.
> 
> First, when the kernel is compiled with CONFIG_PM=y,The stmmac's
> resume/suspend is active.
> 
> Secondly,stmmac as DSA master,the dsa_tag_8021q_port_setup() function
> will callback stmmac_vlan_rx_add_vid when DSA dirver starts. However,
> The system is hanged for the stmmac_vlan_rx_add_vid() accesses its
> registers after stmmac's clock is closed.
> 
> I would suggest adding the pm_runtime_resume_and_get() to the
> stmmac_vlan_rx_add_vid().This guarantees that resuming clock output
> while in use.

Hm, the patch is not making it to the @vger list, even tho it did make
it to lore.kernel.org, it seems. I couldn't spot anything wrong with it.
Could you try sending it to [email-masked] and contacting
John (added to CC) who administers vger.kernel.org, to figure out
what's wrong?

Based on this conversation:
https://lore.kernel.org/all/[email-masked]/